## net.sf.saxon.event
Class Sender

    java.lang.Object
      net.sf.saxon.event.Sender

    public class Sender

extends java.lang.Object

Sender is a helper class that sends events to a Receiver from any kind of Source object

Constructor Summary
`Sender(PipelineConfiguration pipe)` Create a Sender

Method Summary
`static void` `configureParser(org.xml.sax.XMLReader parser)` Configure a SAX parser to ensure it has the correct namesapce properties set
`void` `send(javax.xml.transform.Source source, Receiver receiver)` Send the contents of a Source to a Receiver.
`void` `send(javax.xml.transform.Source source, Receiver receiver, boolean isFinal)` Send the contents of a Source to a Receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sender

    public Sender(PipelineConfiguration pipe)

  Create a Sender

  Parameters:
    `pipe` - the pipeline configuration

Method Detail

### send

    public void send(javax.xml.transform.Source source,
                     Receiver receiver)
              throws XPathException

  Send the contents of a Source to a Receiver.

  Parameters:
    `source` - the source to be copied
    `receiver` - the destination to which it is to be copied
  Throws:
    `XPathException`

### send

    public void send(javax.xml.transform.Source source,
                     Receiver receiver,
                     boolean isFinal)
              throws XPathException

  Send the contents of a Source to a Receiver.

  Parameters:
    `source` - the source to be copied. Note that if the Source contains an InputStream or Reader then it will be left open, unless it is an AugmentedSource with the pleaseCloseAfterUse flag set. On the other hand, if it contains a URI that needs to be dereferenced to obtain an InputStream, then the InputStream will be closed after use.
    `receiver` - the destination to which it is to be copied
    `isFinal` - set to true when the document is being processed purely for the sake of validation, in which case multiple validation errors in the source can be reported.
  Throws:
    `XPathException`

### configureParser

    public static void configureParser(org.xml.sax.XMLReader parser)
                                throws XPathException

  Configure a SAX parser to ensure it has the correct namesapce properties set

  Parameters:
    `parser` - the parser to be configured
  Throws:
    `XPathException`

Copyright (c) Saxonica Limited. All rights reserved.